# Scheme in actix_web_httpauth::headers::authorization - Rust
Authentication scheme for `Authorization` header.
Keywords: rust, rustlang, rust-lang, Scheme

# Trait actix_web_httpauth::headers::authorization::Scheme

source · [−]

    pub trait Scheme: TryIntoHeaderValue + Debug + Display + Clone + Send + Sync {
        fn parse(header: &HeaderValue) -> Result<Self, ParseError>;
    }

Expand description

Authentication scheme for `Authorization` header.

## Required Methods

source

#### fn parse(header: &HeaderValue) -> Result<Self, ParseError>

Try to parse an authentication scheme from the `Authorization` header.

## Implementors

source

### impl Scheme for Basic

source

### impl Scheme for Bearer